tm_itinerary_item:
  label: Basket item
  namespace: Organisms/TM - Itinerary
  use: '@organisms/tm-itin/tm-itinerary.twig'
  description: Basket item
  libraries:
    - tm_itinerary_item_lib:
        css:
          component:
            ../styles/tm-itinerary.css:
              weight: 10
  fields:
    iid:
      type: text
      label: Itinerary ID
      preview: itin-123
    img_src:
      type: text
      label: Image url
      preview: https://picsum.photos/700/400?rnd=1
    img_alt:
      type: text
      label: Image alt
      preview: Image of the offer
    title:
      type: text
      label: Title
      preview: Offer for day out in Norfolk
    tags:
      type: object
      label: Tags
      description: Tags
      preview:
        - name: A tag
          url: /
        - name: Another tag
          url: /
        - name: Yet another tag
          url: /
    description:
      type: text
      label: Description
      preview: Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
        tempor incididunt ut labore et dolore magna aliqua. At ultrices mi tempus
        imperdiet nulla malesuada pellentesque elit eget. Ipsum faucibus vitae aliquet
        nec ullamcorper. Phasellus faucibus scelerisque eleifend donec pretium vulputate.
        Ultricies tristique nulla aliquet enim tortor at. Nec feugiat nisl pretium
        fusce. Purus sit amet volutpat consequat mauris nunc congue. Scelerisque viverra
        mauris.
    location:
      type: text
      label: Location
      preview: Norfolk
    date:
      type: text
      label: Date
      preview: now
    item_url:
      type: text
      label: Item url
      preview: /somewhere
    remove_url:
      type: text
      label: Remove url
      preview: /somewhere/remove
    print_url:
      type: text
      label: Print url
      preview: /somewhere/print
  settings:
    item_link:
      type: textfield
      label: Read more text
      preview: Read more
      default_value: Read more
    print_link:
      type: textfield
      label: Print link text
      preview: Print voucher
      default_value: Print voucher
    remove_link:
      type: textfield
      label: Remove link text
      preview: Remove
      default_value: Remove
